//
//  MyDocViewController.m
//  objcdoc
//
//  Created by zyl910 on 13-6-4.
//  Copyright (c) 2013年 zyl910. All rights reserved.
//

#import "MyDocViewController.h"

@implementation MyDocViewController

static int _classInt = 0;	//!< 静态变量 (仅Doxygen具有EXTRACT_STATIC和EXTRACT_ALL标识时, 会被归类为“MyDocViewController.m”. 且具有EXTRACT_LOCAL_METHODS标识时， MyDocViewController 类 才有“MyDocViewController.m”的链接).


#pragma mark -

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - property

// 委托.
//@property (nonatomic, strong) id<MyDocDelegate> delegate;
- (id<MyDocDelegate>)delegate {
// appledoc: 看作delegate属性的一部分.
// doxygen: 看作delegate属性的一部分.
	return _delegate;
}
- (void)setDelegate:(id<MyDocDelegate>)value {
// appledoc: 看作delegate属性的一部分.
// doxygen: 当具有EXTRACT_LOCAL_METHODS标识时, 识别为没有文档的新方法.
	_delegate = value;
}

#pragma mark - method

// 简单方法.
- (void)someMethod {
}

// 带整数参数的方法.
- (int)someMethodByInt:(int)value {
	return value;
}

// 带字符串参数的方法.
- (NSString*)someMethodByStr:(NSString*)value {
	return value;
}

// 取得静态变量值的类方法.
+ (int)classInt {
	return _classInt;
}

@end


// 主页面的动作相关操作.
@implementation MyDocViewController (Action)

// 调用动作回调函数
- (void)callActionCallback:(void*)sender userdata:(void*)userdata handler:(ActionCallback)handler {
	if (NULL==handler) return;
	handler(sender, userdata);
}

// 调用动作块函数.
- (void)callActionHandler:(id)sender userdata:(id)userdata handler:(ActionHandler)handler {
	if (nil==handler) return;
	handler(sender, userdata);
}

@end
